import java.awt.*;

/**
 * Write a description of class MirrorFilter here.
 * 
 * @author (your name) 
 * @version (a version number or a date)
 */
public class MirrorFilter extends Filter
{
    /**
     * Constructor for objects of class MirrorFilter
     */
    public MirrorFilter( String name )
    {
        super( name );                
    }

    /**
     * Apply this filter to an image.
     * 
     * @param  image  The image to be changed by this filter.
     */
    public void apply(OFImage image)
    {
        int height = image.getHeight();
        int width = image.getWidth();
        for(int y = 0; y < height; y++) {
            for(int x = 0; x < width/2; x++) {
                Color temp = image.getPixel( x, y );
                image.setPixel( x, y, image.getPixel( width - x - 1, y ) );
                image.setPixel( width - x - 1, y, temp );
            }
        }
    }
}
